Bug 496460 - X server not working with intel 945GM
X server not working with intel 945GM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 08:08 EDT by ljph.fontaine
Modified: 2018-04-11 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The dmesg output. (37.77 KB, text/plain)
2009-04-19 08:11 EDT, ljph.fontaine
no flags Details
The list of loaded kernel modules. (1.75 KB, text/plain)
2009-04-19 08:11 EDT, ljph.fontaine
no flags Details
The output of lspci. (20.74 KB, text/plain)
2009-04-19 08:12 EDT, ljph.fontaine
no flags Details
The log of Xorg server. (40.00 KB, text/plain)
2009-04-19 08:13 EDT, ljph.fontaine
no flags Details

  None (edit)
Description ljph.fontaine 2009-04-19 08:08:33 EDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_4_11; en) AppleWebKit/525.27.1 (KHTML, like Gecko) Version/3.2.1 Safari/525.27.1

The X server doesn't work on my macbook 2.1 with an intel 945GM chipset.
I try both the intel and vesa driver with or without an xorg.conf (generated with X -configure).
The graphical installation is not possible because the screen is gray and the cursor is duplicated.
After a text install and an upgrade to rawhide version of 04/18/2009 the issue persist.
It seems that this problem is related to bugs #464866 and #494390 but it's not caused by the i810 driver.
This bug doesn't exists with the Fedora 10 live CD.

Reproducible: Always

Steps to Reproduce:
1. Boot the fedora 11 Beta install DVD or Live CD.
2. Wait until X is started.
Actual Results:  
The screen is gray or black, the cursor is duplicated but move.
Sometimes it freeze the system.

Expected Results:  
Get a normal display with fedora 11.
Comment 1 ljph.fontaine 2009-04-19 08:11:07 EDT
Created attachment 340228 [details]
The dmesg output.
Comment 2 ljph.fontaine 2009-04-19 08:11:56 EDT
Created attachment 340229 [details]
The list of loaded kernel modules.
Comment 3 ljph.fontaine 2009-04-19 08:12:41 EDT
Created attachment 340230 [details]
The output of lspci.
Comment 4 ljph.fontaine 2009-04-19 08:13:17 EDT
Created attachment 340231 [details]
The log of Xorg server.
Comment 5 Bug Zapper 2009-06-09 10:07:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-06-19 14:08:18 EDT
What happens when you start computer with nomodeset on the kernel command line?
See https://fedoraproject.org/wiki/Common_F11_bugs#intel-misc-gfx and tell me whether something helps you there.
Comment 7 ljph.fontaine 2009-06-28 10:23:26 EDT
(In reply to comment #6)
> What happens when you start computer with nomodeset on the kernel command line?
> See https://fedoraproject.org/wiki/Common_F11_bugs#intel-misc-gfx and tell me
> whether something helps you there.  

This issue is still present in the final Fedora Core 11 install DVD. An installation is possible by selecting the basic video driver option in the boot menu.
I kept the vesa driver some days before doing a system update. Now with the xorg-x11-drv-intel-2.7.0-7.fc11, this problem has gone.
Comment 9 Matěj Cepl 2009-11-05 13:26:48 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Bug Zapper 2010-04-27 09:46:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:05:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.